#!/usr/bin/env python
#
# Copyright 2006 James Westby <jw+debian@jameswestby.net>
#
# This file is part of bazaar-webserve.
#
# bazaar-webserve is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# bazaar-webserve is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with bazaar-webserve; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

from distutils.core import setup
import glob

templates = glob.glob('templates/*')

setup(name='bazaar-webserve',
      version='0.12',
      description='Web interface for bzr branches',
      author='Goffredo Baroncelli',
      author_email='kreijack AT inwind DOT it',
      url='http://goffredo-baroncelli.homelinux.net/bazaar/bazaar-webserve',
      packages=['bzrlib.plugins.webserve'],
      package_dir={'bzrlib.plugins.webserve': ''},
      data_files=[('share/doc/bazaar-webserve', ['docs/README.html',
                                                      'docs/README.txt']),
                  ('share/doc/bazaar-webserve/examples',
                                        ['docs/bazaar-webserve.conf.example']),
                  ('share/bazaar-webserve/templates/', templates),
                  ('share/bazaar-webserve/cgi-bin/',
                                                  ['webserve.cgi',
                                                  'webserve-dir.cgi'])]
      )


