#!/usr/bin/env python
#
# An example CGI script to export multiple hgweb repos, edit as necessary
#
# Copyright 2006 Goffredo Baroncelli <kreijack@inwind.it>
#
# This file is part of bazaar-webserve.
#
# bazaar-webserve is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# bazaar-webserve is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with bazaar-webserve; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA


import os
import sys

# path of the bazaar-ng installation
# in the _example_ below it is suppose that webserve is installed
# under bzrlib/plugins/webserve
sys.path.insert(0,"/path/to/bazaar")
from bzrlib.plugins.webserve import hgweb

config = "/etc/bazaar-webserve.conf"

try:
  config = os.environ['BAZAAR_WEBSERVE_CONFIG']
except KeyError:
  pass

hgweb.cgi_start_webserve_dir(config)

