#!/usr/bin/env python
#
# An example CGI script to use hgweb, edit as necessary
#
# Copyright 2006 Goffredo Baroncelli <kreijack@inwind.it>
#
# This file is part of bazaar-webserve.
#
# bazaar-webserve is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# bazaar-webserve is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with bazaar-webserve; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

import os
import sys

# you have to add the path of the bazaar-ng installation
# it is suppose that hgweb is under bzrlib/plugins/webserve
# $ ls -l bzrlib/plugins/webserve/hgweb.py
# -rw-r--r-- 1 ghigo ghigo 60467 2006-11-04 15:10 bzrlib/plugins/webserve/hgweb.py

sys.path.insert(0,"/path/to/bazaar")
from bzrlib.plugins.webserve import hgweb

title = "Experimental bazaar-ng web interface";
templates = "/usr/share/bazaar-webserve/templates";
path = os.getcwd( )

try:
  title = os.environ["BAZAAR_WEBSERVE_TITLE"] 
except KeyError:
  pass

try:
  templates = os.environ["BAZAAR_WEBSERVE_TEMPLATES"]
except KeyError:
  pass

try:
  path = os.environ["BAZAAR_WEBSERVE_BRANCH_PATH"]
except:
  pass

hgweb.cgi_start_webserve(path, title, templates)
